# Contributing to _PopMenu_

The following is a set of guidelines for contributing to _PopMenu_ on GitHub.

> Thank you for considering making contribution to the project, this means a lot to me.

## I want to report a problem or ask a question

Before submitting a new GitHub issue, please make sure to

- Check out the [documentation](https://calicastle.github.io/PopMenu).
- Read the usage guide on [the README](https://github.com/CaliCastle/PopMenu/#basic-usage).
- Search for [existing GitHub issues](https://github.com/CaliCastle/PopMenu/issues).

If the above doesn't help, please [submit an issue](https://github.com/CaliCastle/PopMenu/issues/new) on GitHub.

## I want to contribute to _PopMenu_

### Things to keep in mind

- Please do not change the minimum iOS version
- Always document new public methods and properties

### Testing your local changes

Before opening a pull request, please make sure your changes don't break things.

- The framework and example project should build without warnings
- The example project should run without issues.

### Submitting the PR

When the coding is done and you’ve finished testing your changes, you are ready to submit the PR to the [main repo](https://github.com/CaliCastle/PopMenu). Some best practices are:

- Use a descriptive title
- Link the issues that are related to your PR in the body

## Code of Conduct

Help us keep _PopMenu_ open and inclusive. Please read and follow our [Code of Conduct](CODE_OF_CONDUCT.md).

## License

This project is licensed under the terms of the MIT license. See the [LICENSE](LICENSE) file.
